Kerbal Space Program - Bug #27442

Random VAB part move arrows or rotate wheels appear in distant space or on a craft in space
03/25/2021 05:03 AM - Deepspeed
Assignee:
History
Description

I run Win-64 KSP stock with all DLC, updated over time to the latest, | beleve 1.11.2. | first noticed this happening after the 1.11.1
update, but continue to see it after the latest update as well.

When I'm drifting in orbit in the middle of a mission, | sometimes right-click and take a look around and find these part adjustment
arrows/wheels floating randomly in space, usually between 50 and 1000m from my craft. Even more strange, if | click these things,
they sometimes glitch into the root part of my craft as if they were adjusting placement of that root part, but dragging the arrows of
spinning the wheels only moves the colored bits, not the actual parts they seem 'attached' to.

It doesn't hurt the actual gameplay as far as | can tell, but it does kinda ruin the immersion. As for reproducing it, I'm not really sure
what to tell you, aside from just spend some time looking around while in orbit.

Attaching pics of the anomalies.

By the way, thanks a ton for this game. Definitely one of the best games of all time.

History

#1 - 03/26/2021 05:59 PM - Krazy1
- File screenshot68.png added
- File screenshot70.png added

I've seen a very similar issue twice, both times when starting an EVA on Minmus. | believe both times | was using an Engineer. | suspect this was
introduced with EVA construction in v1.11. | was using mods.
@Deepspeed - do you know if you had an engineer onboard? Did you EVA?

Why did it copy my screenshots to the OP? | didn't do that. Bugtracker bug?

#2 - 03/28/2021 11:03 PM - Deepspeed

Update: I've seen the anomalies a few more times since, and I've discovered that they are connected to the EVA construction mechanics. I've found
that when | see the anomalies, | can pull an enginner out on EVA and when | press "i" to enter construction mode, | find that the engineer is
automatically set to either rotate or move the parts at hand when | click them, not automatically set to "place" mode. Conveniently, whichever mode
the engineer is defaulted to (move or rotate) is also the same type of VAB danomaly artifact | see in the distance before pulling the engineer out.

TLDR: It seems the engineers are being defaulted to something other than "place"” mode in their construction settings, and that leads to the graphics
anomalies appearing randomly during missions.

#3 - 04/29/2022 04:17 PM - Codebreakerblue

Issue appears to continue in KSP 1.12.3 (Windows 10 via Steam, no DLCs). Game version has been updated over time, but I'm currently in a new
save created in 1.12.3. Parts mods are installed, but none that affect EVA construction so far as | can tell. The gizmos only appear after using EVA
construction mode, and only go away after 1) reloading a save/quicksave, 2) restarting the game, or 3) going into EVA construction mode and
changing the build mode to "Place" (same as Deepspeed). The gizmos are grabbable while in flight but don't seem to do anything when grabbed.
